
// BillAcceptorDlg.h : header file
//--------------------------------
#if !defined(AFX_BILLACCEPTORDLG_H__C148242B_BA63_4E9B_B4E3_0927AC22803B__INCLUDED_)
#define AFX_BILLACCEPTORDLG_H__C148242B_BA63_4E9B_B4E3_0927AC22803B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// CBillAcceptorDlg dialog
//------------------------
#include "MDBEngine.h"

class CBillAcceptorDlg : public CDialog
//=====================================
{
public:
	CBillAcceptorDlg(CWnd* pParent=NULL); // standard constructor
	//{{AFX_DATA(CBillAcceptorDlg)
	enum { IDD = IDD_BILLACCEPTOR_DIALOG };
	CEdit	m_Amount;
	CEdit	m_LastStatus;
	//}}AFX_DATA
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBillAcceptorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;
	// Generated message map functions
	//{{AFX_MSG(CBillAcceptorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnAbout();
	afx_msg void OnBillinfo();
	afx_msg void OnReset();
	afx_msg void OnBillenable();
	afx_msg void OnEnable();
	afx_msg void OnDisable();
	afx_msg void OnEscrow();
	afx_msg void OnAccept();
	//}}AFX_MSG
	afx_msg void OnBillStatus(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

private:
	BILL_INFO m_BillInfo;
	void DisplayAmount(DWORD dwValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately 
// before the previous line.
//---------------------------------------------------------------------
#endif // !defined(AFX_BILLACCEPTORDLG_H__C148242B_BA63_4E9B_B4E3_0927AC22803B__INCLUDED_)
